> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a bot version



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /bot/{id}/version/{version}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot/{id}/version/{version}:
    put:
      tags:
        - Bot
      summary: Update a bot version
      parameters:
        - name: id
          in: path
          description: The bot ID.
          required: true
          style: simple
          schema:
            type: string
        - name: version
          in: path
          description: The version ID.
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVersionInput'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateVersionInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateVersionInput'
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateVersionInput:
      type: object
      properties:
        name:
          type: string
          description: The name of the bot version
          nullable: true
        importKdl:
          type: string
          description: The KDL import for the bot version
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````